Bug 447565 - stage2.img download hangs
stage2.img download hangs
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 11:14 EDT by Han-Wen Nienhuys
Modified: 2008-06-05 14:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 11:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2008-05-20 11:14:20 EDT
Preupgrade 0.9.3 on F8.  


- mac mini ppc upgrade: boot into upgrade.  "downloading stage2.img" - this
hangs forever.  After an hour, I reboot

- lenovo t60 (x86): spends the entire night trying to download stage2.img (this
is before rebooting).  

It would be nice to have a download progress bar per package and/or a debug
message explaining where the downloaded packages go.  Also, where do I find the
log file ?

I may have an incredibly slow mirror, but it's strange that individual packages
did not cause any problems.
Comment 1 Will Woods 2008-05-20 11:41:42 EDT
Once you reboot, you're out of the preupgrade and into the upgrade. So this is
not really a preupgrade problem.

> - mac mini ppc upgrade: boot into upgrade.  "downloading stage2.img" - this
> hangs forever.  After an hour, I reboot
> 
> - lenovo t60 (x86): spends the entire night trying to download stage2.img (this
> is before rebooting).  

stage2.img is ~100MB. This is expected to take a while - sometimes several
hours, if we pick a slow mirror. You can change the mirror by editing the
"method=http://..." item in the boot commandline.

> It would be nice to have a download progress bar per package and/or a debug
> message explaining where the downloaded packages go.  Also, where do I find the
> log file ?

There's no logging in stage1 of the installer. 

If you're talking about the packages downloaded in preupgrade, they're in
/var/cache/yum/anaconda-upgrade. Boot images are in /boot/upgrade.

> I may have an incredibly slow mirror, but it's strange that individual packages
> did not cause any problems.

Packages are downloaded from a different mirror than boot images.

Sorry that the mirrors are sometimes slow and the file is large, but we can't
really do much about those things. Try changing your method=XXX to a different
(faster) mirror and see if that helps. Or you could make a bigger (200MB or so)
/boot partition so you don't have to download stage2.img during the upgrade.
Comment 2 Han-Wen Nienhuys 2008-05-20 20:22:55 EDT
I understand that mirror speed is out of your control, but could we have a
progress bar? I have reason to believe that something was wrong (I saw a ufpr.br
download mirror, which generally does 500k/sec).
Comment 3 Han-Wen Nienhuys 2008-05-21 10:59:30 EDT
update: it now works, so it was a slow mirror. Still, the progress bar would be
nice.
Comment 4 Seth Vidal 2008-05-21 11:43:31 EDT
The progress bar would need to be in anaconda, not preupgrade ,right?

You're booted into the installer when you want this. If so I'll reassign this to
anaconda.
Comment 5 Burnie West 2008-06-05 13:37:42 EDT
I think Han-Wen was in the last preupgrade stage, not in anaconda.  At least
that's when I encountered an alert message that interrupted preupdate while the
status line read
"downloading stage2.img". The message was:

"Not enough space in /boot/upgrade to cache stage2.img"
"It will be downloaded once the installer starts."
Comment 6 Will Woods 2008-06-05 14:05:30 EDT
No, that's a different problem. Note that Han-Wen said "boot into upgrade".
There *is* a progress bar while you download stage2.img in preupgrade. There
isn't one in anaconda's stage1.

Note You need to log in before you can comment on or make changes to this bug.